Package org.eclipse.ui.texteditor

# Interface ITextEditorExtension4

All Known Implementing Classes:
  `AbstractDecoratedTextEditor`, `AbstractTextEditor`, `StatusTextEditor`, `TextEditor`

public interface ITextEditorExtension4
Extension interface for `ITextEditor`. Adds the following functions:

- annotation navigation
- revision information display

This interface may be implemented by clients.

Since:
  3.2

## Method Summary

Modifier and Type
Method
Description
`Annotation`
`gotoAnnotation(boolean forward)`
Jumps to the next annotation according to the given direction.
`void`
`showRevisionInformation(RevisionInformation info, String quickDiffProviderId)`
Shows revision information in this editor.

## Method Details

### gotoAnnotation

Annotation gotoAnnotation(boolean forward)
Jumps to the next annotation according to the given direction.

Parameters:
  `forward` - `true` if search direction is forward, `false` if backward
Returns:
  the selected annotation or `null` if none

### showRevisionInformation

void showRevisionInformation(RevisionInformation info, String quickDiffProviderId)
Shows revision information in this editor.

Parameters:
  `info` - the revision information to display
  `quickDiffProviderId` - the quick diff provider that matches the source of the revision information